Subject: RE: Request for unicore32 architecture codes to merge into linux-next

From: "Guan Xuetao" <[email-masked]>
Date: Sun, 16 Jan 2011 23:35:29 +0800

> -----Original Message-----
> From: Dmitry Torokhov [mailto:[email-masked]]
> Sent: Sunday, January 16, 2011 6:08 AM
> To: Guan Xuetao
> Cc: [email-masked]; Arnd Bergmann; [email-masked]; [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Subject: Re: Request for unicore32 architecture codes to merge into linux-next
> 
> Hi,
> 
> On Sun, Jan 16, 2011 at 01:00:31AM +0800, Guan Xuetao wrote:
> > Hi,
> >
> > I want to merge unicore32 repo into linux-next tree, the position is (unicore32 branch):
> >   git://git.kernel.org/pub/scm/linux/kernel/git/epip/linux-2.6-unicore32.git
> >
> 
> Have these changes been reviewed at all? Looking at the input parts I
> doubt it... We try _really_ hard to avoid sprinkling arch #ifedefs in
> the common code.
Many people helped me to review the patchset in linux-arch and linux-kernel mailist.
For ps2 driver, perhaps I should not introduce bugfix for the machine, so I remove the additional
modification, and only i8042 is necessary.
The patchset is rebased, and git dir and branch name remain the same.
Please update.
> 
> So, for input:
> 
> - how big is the difference between standard keytable and the one you
>   are introducing? Looks like you are just adding 5 new keys that are
>   not critical for booting. So please just update keymap from userpsace
>   as we do for countless laptops and keyboards out there.
I understand.
And I remove the keytable.

> 
> - Trying to enable mouse 1000 times can lead to loooong delays. Have
>   you tried to figure out why you need the loop?
> 
> - What kind of mice can be connected to teh devices? I am concerned that
>   your super-strict protocol checks will cause more harm then good (i do
>   not believe they are valied in general case, overflow is just and
>   additional bit).
> 
> Please split changes related into logically separated patches and post
> them on [email-masked] (along with linux-kernel if you
> prefer) for review and comments.
> 
> Thanks.
> 
> --
> Dmitry

Thanks Dmitry.

Guan Xuetao